## org.apache.mahout.cf.taste.eval
Interface DataModelBuilder

    public interface DataModelBuilder

Implementations of this inner interface are simple helper classes which create a `DataModel` to be used while evaluating a `Recommender`.

See Also:
  `RecommenderBuilder`, `RecommenderEvaluator`

Method Summary
`DataModel` `buildDataModel(FastByIDMap<PreferenceArray> trainingData)` Builds a `DataModel` implementation to be used in an evaluation, given training data.

Method Detail

### buildDataModel

    DataModel buildDataModel(FastByIDMap<PreferenceArray> trainingData)

  Builds a `DataModel` implementation to be used in an evaluation, given training data.

  Parameters:
    `trainingData` - data to be used in the `DataModel`
  Returns:
    `DataModel` based upon the given data

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.